Get Certificate Request
curl --request GET \
--url https://api.numeralhq.com/tax/certificate-requests/{request_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://api.numeralhq.com/tax/certificate-requests/{request_id}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.numeralhq.com/tax/certificate-requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.numeralhq.com/tax/certificate-requests/{request_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-API-Version: <x-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.numeralhq.com/tax/certificate-requests/{request_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Version", "<x-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.numeralhq.com/tax/certificate-requests/{request_id}")
.header("X-API-Version", "<x-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.numeralhq.com/tax/certificate-requests/{request_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Version"] = '<x-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "cert_req_b2f1e4a3-9c0d-4e7a-8b1f-2d5a6e7b8c9d",
"object": "tax.certificate_request",
"status": "fulfilled",
"customer": {
"id": "cust_6126acaf-7379-411a-8ada-00005bac0715",
"reference_customer_id": "20506"
},
"certificate_id": "cert_a8f3d2c1-1b9a-4c5e-8d7e-6f4a3b2c1d0e",
"certificate_type_id": "US-CA-CDTFA-230",
"jurisdictions": [
"US-CA"
],
"created_at": "2026-03-01T12:00:00Z",
"updated_at": "2026-03-02T09:30:00Z",
"expires_at": null,
"livemode": true
}{
"code": 400,
"type": "MISSING_FIELD",
"message": "Required field 'address_country' is missing"
}Get Certificate Request
Retrieve a single certificate request by id. Live-only.
GET
/
tax
/
certificate-requests
/
{request_id}
Get Certificate Request
curl --request GET \
--url https://api.numeralhq.com/tax/certificate-requests/{request_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://api.numeralhq.com/tax/certificate-requests/{request_id}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.numeralhq.com/tax/certificate-requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.numeralhq.com/tax/certificate-requests/{request_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-API-Version: <x-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.numeralhq.com/tax/certificate-requests/{request_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Version", "<x-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.numeralhq.com/tax/certificate-requests/{request_id}")
.header("X-API-Version", "<x-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.numeralhq.com/tax/certificate-requests/{request_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Version"] = '<x-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "cert_req_b2f1e4a3-9c0d-4e7a-8b1f-2d5a6e7b8c9d",
"object": "tax.certificate_request",
"status": "fulfilled",
"customer": {
"id": "cust_6126acaf-7379-411a-8ada-00005bac0715",
"reference_customer_id": "20506"
},
"certificate_id": "cert_a8f3d2c1-1b9a-4c5e-8d7e-6f4a3b2c1d0e",
"certificate_type_id": "US-CA-CDTFA-230",
"jurisdictions": [
"US-CA"
],
"created_at": "2026-03-01T12:00:00Z",
"updated_at": "2026-03-02T09:30:00Z",
"expires_at": null,
"livemode": true
}{
"code": 400,
"type": "MISSING_FIELD",
"message": "Required field 'address_country' is missing"
}Get Certificate Request (2026-03-01)
Retrieve the details of a specific certificate request by itscert_req_* id.
Remember to include the
X-API-Version: 2026-03-01 header. Certificate-request
endpoints are live-only — using a sk_test_* key returns
TESTMODE_NOT_SUPPORTED. Requests outside your account return
CERTIFICATE_REQUEST_NOT_FOUND (404) — Numeral never leaks the existence of
another tenant’s resources.Authorizations
Response
Certificate request
A single certificate request.